!=========================================================================
! Copyright (C) VMware, Inc. 1986-2011.  All Rights Reserved.
!
! $Id: methodc.gs,v 1.7 2008-01-09 19:02:34 stever Exp $
!
! Superclass Hierarchy:
!   MethodContext, Object.
!
!=========================================================================

removeallmethods MethodContext
removeallclassmethods MethodContext

category: 'For Documentation Installation only'
classmethod:
installDocumentation

| doc |
doc := GsClassDocumentation _newForObsoleteGsClass: self asOfGsVersion: '4.0'.

doc documentClassWith: (GsDocText new).

self description: doc.
%

category: 'Instance Creation'
classmethod: MethodContext
new

   "Obsolete"
   self _error: #rtErrObsolete args: #(#new) .
   self _uncontinuableError

%
category: 'Instance Creation'
classmethod: MethodContext
new: anInteger

   "Obsolete"
   self _error: #rtErrObsolete args: #(#new:) .
   self _uncontinuableError

%
category: 'Block Evaluation'
method: MethodContext
_blockCopy: numberOfArgs

   "Obsolete"
   self _error: #rtErrObsolete args: #(#_blockCopy:) .
   self _uncontinuableError

%
category: 'Block Evaluation'
method: MethodContext
_selectBlockCopy: aSelectionBlock
          withPc: anIntegerOffset

   "Obsolete"
   self _error: #rtErrObsolete args: #(#_selectBlockCopy:withPc:) .
   self _uncontinuableError

%
category: 'Block Evaluation'
method: MethodContext
_BLOCKCOPY: arg

   "Obsolete"
   self _error: #rtErrObsolete args: #(#_BLOCKCOPY:) .
   self _uncontinuableError

%
category: 'Debugging Support'
method: MethodContext
_stepPoint: atTop

   "Obsolete"
   self _error: #rtErrObsolete args: #(#_stepPoint:) .
   self _uncontinuableError

%
category: 'Debugging Support'
method: MethodContext
_stepPointString: atTop

   "Obsolete"
   self _error: #rtErrObsolete args: #(#_stepPointString:) .
   self _uncontinuableError

%
category: 'Debugging Support'
method: MethodContext
_variable: aName

   "Obsolete"
   self _error: #rtErrObsolete args: #(#_variable:) .
   self _uncontinuableError

%
category: 'Debugging Support'
method: MethodContext
_variable: aName newValue: aValue

   "Obsolete"
   self _error: #rtErrObsolete args: #(#_variable:newValue:) .
   self _uncontinuableError

%
category: 'Debugging Support'
method: MethodContext
_variableCount: aName

   "Obsolete"
   self _error: #rtErrObsolete args: #(#_variableCount:) .
   self _uncontinuableError

%
category: 'Debugging Support'
method: MethodContext
_variableList: aName

   "Obsolete"
   self _error: #rtErrObsolete args: #(#_variableList:) .
   self _uncontinuableError

%
category: 'Debugging Support'
method: MethodContext
_getArgOrTemp: i

   "Obsolete"
   self _error: #rtErrObsolete args: #(#_getArgOrTemp:) .
   self _uncontinuableError

%
category: 'Debugging Support'
method: MethodContext
_variableNames

   "Obsolete"
   self _error: #rtErrObsolete args: #(#_variableNames) .
   self _uncontinuableError

%
category: 'Debugging Support'
method: MethodContext
_continueSize

   "Obsolete"
   self _error: #rtErrObsolete args: #(#_continueSize) .
   self _uncontinuableError

%
category: 'Debugging Support'
method: MethodContext
_pseudoVarOffset: offset continuing: aBool

   "Obsolete"
   self _error: #rtErrObsolete args: #(#_pseudoVarOffset:continuing:) .
   self _uncontinuableError

%
category: 'Debugging Support'
method: MethodContext
_pseudoVarAt: offset continuing: aBool

   "Obsolete"
   self _error: #rtErrObsolete args: #(#_pseudoVarAt:continuing:) .
   self _uncontinuableError

%
category: 'Debugging Support'
method: MethodContext
_pseudoVarAt: offset continuing: aBool put: aValue

   "Obsolete"
   self _error: #rtErrObsolete args: #(#_pseudoVarAt:continuing:put:) .
   self _uncontinuableError

%
category: 'Debugging Support'
method: MethodContext
_stackVars

   "Obsolete"
   self _error: #rtErrObsolete args: #(#_stackVars) .
   self _uncontinuableError

%
category: 'Debugging Support'
method: MethodContext
_stepPointStringAndOffset: atTop

   "Obsolete"
   self _error: #rtErrObsolete args: #(#_stepPointStringAndOffset:)

%
category: 'Debugging Support'
method: MethodContext
_variableNamesAndValues

   "Obsolete"
   self _error: #rtErrObsolete args: #(#_variableNamesAndValues) .
   self _uncontinuableError

%
category: 'Debugging Support'
method: MethodContext
_variable: aName continuing: aBool

   "Obsolete"
   self _error: #rtErrObsolete args: #(#_variable:continuing:) .
   self _uncontinuableError

%
category: 'Debugging Support'
method: MethodContext
_variable: aName continuing: continuing newValue: aValue

   "Obsolete"
   self _error: #rtErrObsolete args: #(#_variable:continuing:newValue:)

%
category: 'Debugging Support'
method: MethodContext
_variableCount: aName continuing: aBool

   "Obsolete"
   self _error: #rtErrObsolete args: #(#_variableCount:continuing:) .
   self _uncontinuableError

%
category: 'Debugging Support'
method: MethodContext
_variableList: aName continuing: aBool

   "Obsolete"
   self _error: #rtErrObsolete args: #(#_variableList:continuing:) .
   self _uncontinuableError

%
category: 'Debugging Support'
method: MethodContext
_variableNames: continuing

   "Obsolete"
   self _error: #rtErrObsolete args: #(#_variableNames:) .
   self _uncontinuableError

%
category: 'Debugging Support'
method: MethodContext
_reportOfSize: aSize

   "Obsolete"
   self _error: #rtErrObsolete args: #(#_reportOfSize:) .
   self _uncontinuableError

%
category: 'Debugging Support'
method: MethodContext
_report

   "Obsolete"
   self _error: #rtErrObsolete args: #(#_report) .
   self _uncontinuableError

%
category: 'Accessing'
method: MethodContext
_byteCodes

   "Obsolete"
   self _error: #rtErrObsolete args: #(#_byteCodes) .
   self _uncontinuableError

%
category: 'Accessing'
method: MethodContext
_cannotReturn: aValue

   "Obsolete"
   self _error: #rtErrObsolete args: #(#_cannotReturn:) .
   self _uncontinuableError

%
category: 'Accessing'
method: MethodContext
home

   "Obsolete"
   self _error: #rtErrObsolete args: #(#home) .
   self _uncontinuableError

%
category: 'Accessing'
method: MethodContext
_method

   "Obsolete"
   self _error: #rtErrObsolete args: #(#_method) .
   self _uncontinuableError

%
category: 'Accessing'
method: MethodContext
_pc

   "Obsolete"
   self _error: #rtErrObsolete args: #(#_pc) .
   self _uncontinuableError

%
category: 'Accessing'
method: MethodContext
_receiver

   "Obsolete"
   self _error: #rtErrObsolete args: #(#_receiver) .
   self _uncontinuableError

%
category: 'Accessing'
method: MethodContext
_sender

   "Obsolete"
   self _error: #rtErrObsolete args: #(#_sender) .
   self _uncontinuableError

%
category: 'Accessing'
method: MethodContext
_stackP

   "Obsolete"
   self _error: #rtErrObsolete args: #(#_stackP) .
   self _uncontinuableError

%
category: 'Accessing'
method: MethodContext
_tempAt: anIndex

   "Obsolete"
   self _error: #rtErrObsolete args: #(#_tempAt:) .
   self _uncontinuableError

%
category: 'Updating'
method: MethodContext
_at: anIndex put: aValue

   "Obsolete"
   self _error: #rtErrObsolete args: #(#_at:put:) .
   self _uncontinuableError

%
category: 'Updating'
method: MethodContext
at: anIndex put: aValue

   "Obsolete"
   self _error: #rtErrObsolete args: #(#at:put:) .
   self _uncontinuableError

%
category: 'Updating'
method: MethodContext
_basicAt: anIndex put: aValue

   "Obsolete"
   self _error: #rtErrObsolete args: #(#_basicAt:put:) .
   self _uncontinuableError

%
category: 'Updating'
method: MethodContext
instVarAt: anIndex put: aValue

   "Obsolete"
   self _error: #rtErrObsolete args: #(#instVarAt:put:) .
   self _uncontinuableError

%
category: 'Updating'
method: MethodContext
size: anInteger

   "Obsolete"
   self _error: #rtErrObsolete args: #(#size:) .
   self _uncontinuableError

%
category: 'Clustering'
method: MethodContext
clusterDepthFirst

   "Obsolete"
   self _error: #rtErrObsolete args: #(#clusterDepthFirst) .
   self _uncontinuableError

%
category: 'Copying'
method: MethodContext
copy

   "Obsolete"
   self _error: #rtErrObsolete args: #(#copy) .
   self _uncontinuableError

%
category: 'Exceptions'
method: MethodContext
category: aCategory number: aNumber do: aBlock

   "Obsolete"
   self _error: #rtErrObsolete args: #(#category:number:do:) .
   self _uncontinuableError

%
category: 'Exceptions'
method: MethodContext
removeException: anException

   "Obsolete"
   self _error: #rtErrObsolete args: #(#removeException:) .
   self _uncontinuableError

%
category: 'Exceptions'
method: MethodContext
_exception

   "Obsolete"
   self _error: #rtErrObsolete args: #(#_exception) .
   self _uncontinuableError

%
category: 'Exceptions'
method: MethodContext
_exception: anException

   "Obsolete"
   self _error: #rtErrObsolete args: #(#_exception:) .
   self _uncontinuableError

%
